aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndres Gomez <[email protected]>2019-01-11 16:43:27 +0200
committerAndres Gomez <[email protected]>2019-01-14 17:40:15 +0200
commit3ec9ab80b870efffb5ba7c7a00b86b2df729ec6d (patch)
treee020cf244d906f1093785d8a2e58117c435cfc87
parent716ed41a36037459ed5bfe0775484ac2cbd90707 (diff)
bin/get-pick-list.sh: fix redirection in sh
"&>" is bash specific. Fixes: e0dbfc99537 ("bin/get-pick-list.sh: warn when commit lists invalid sha") Cc: Juan A. Suarez <[email protected]> Cc: Eric Engestrom <[email protected]> Cc: Dylan Baker <[email protected]> Cc: Emil Velikov <[email protected]> Signed-off-by: Andres Gomez <[email protected]> Reviewed-by: Eric Engestrom <[email protected]> Reviewed-by: Emil Velikov <[email protected]> Reviewed-by: Juan A. Suarez <[email protected]>
-rwxr-xr-xbin/get-pick-list.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index e7a2d0dce40..15f0e7d4a34 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -44,7 +44,7 @@ is_sha_nomination()
# Treat only the current line
id=`echo "$fixes" | tail -n $fixes_count | head -n 1 | cut -d : -f 2`
fixes_count=$(($fixes_count-1))
- if ! git show $id &>/dev/null; then
+ if ! git show $id >/dev/null 2>&1; then
echo WARNING: Commit $1 lists invalid sha $id
fi
done